TONTONDocs
TON CenterV3Multisig

applications/api/toncenter/v3/multisig/get-multisig-wallets

GET
/api/v3/multisig/wallets

Query Parameters

address?array<string>

Multisig contract address in any form. Max: 1024.

wallet_address?array<string>

Address of signer or proposer wallet in any form. Max: 1024.

limit?integer

Limit number of queried rows. Use with offset to batch read.

Default10
Formatint32
Range1 <= value <= 1024
offset?integer

Skip first N rows. Use with limit to batch read.

Default0
Formatint32
Range0 <= value
sort?string

Sort multisigs by last_transaction_lt.

Default"desc"
Value in"asc" | "desc"
include_orders?boolean

Gather multisig orders

Defaulttrue

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v3/multisig/wallets"
{
  "address_book": {
    "property1": {
      "domain": "string",
      "interfaces": [
        "string"
      ],
      "user_friendly": "string"
    },
    "property2": {
      "domain": "string",
      "interfaces": [
        "string"
      ],
      "user_friendly": "string"
    }
  },
  "multisigs": [
    {
      "address": "string",
      "code_hash": "string",
      "data_hash": "string",
      "last_transaction_lt": "0",
      "next_order_seqno": "string",
      "orders": [
        {
          "actions": [
            null
          ],
          "address": "string",
          "approvals_mask": "string",
          "approvals_num": 0,
          "code_hash": "string",
          "data_hash": "string",
          "expiration_date": 0,
          "last_transaction_lt": "0",
          "multisig_address": "string",
          "order_boc": "string",
          "order_seqno": "string",
          "sent_for_execution": true,
          "signers": [
            "string"
          ],
          "threshold": 0
        }
      ],
      "proposers": [
        "string"
      ],
      "signers": [
        "string"
      ],
      "threshold": 0
    }
  ]
}
{
  "code": 0,
  "error": "string"
}

Last updated on